/*
  Process killer

  T. Nakagawa
  2011/04/17
*/


#include <stdlib.h>
#include <signal.h>
#include <sys/types.h>
#include <unistd.h>
#include <sys/wait.h>


int main(int argc, char **argv) {
  pid_t pid;
  unsigned char c;

  if ((pid = fork()) < 0) return 1;
  if (pid != 0) {
    read(0, &c, 1);
    kill(pid, SIGTERM);
    wait(NULL);
  } else {
    close(0);
    execvp(argv[1], argv + 1);
    exit(1);
  }

  return 0;
}
